Debian Bug report logs - #600453
initramfs-tools: dist-upgrade lenny->squeeze mkinitramfs: failed

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: "kurt witschi" <tmpml@gmx.net>

Date: Sun, 17 Oct 2010 10:21:05 UTC

Severity: important

Found in version initramfs-tools/0.98.4

Fixed in version initramfs-tools/0.98.5

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Sun, 17 Oct 2010 10:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "kurt witschi" <tmpml@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 10:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "kurt witschi" <tmpml@gmx.net>
To: submit@bugs.debian.org
Subject: initramfs-tools: dist-upgrade lenny->squeeze mkinitramfs: failed
Date: Sun, 17 Oct 2010 12:19:37 +0200
Subject: initramfs-tools: dist-upgrade lenny->squeeze mkinitramfs: failed to determine root device
Package: initramfs-tools
Version: 0.98.4
Severity: normal

*** Please type your report below this line ***
trying to dist-upgrade my orion (arm) box form lenny to squeeze i got the following error:
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-2-orion5x
mkinitramfs: failed to determine root device
mkinitramfs: workaround is MODULES=most
Error please report bug on initramfs-tools and include the output of 'mount'
update-initramfs: failed for /boot/initrd.img-2.6.32-2-orion5x
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for python-support ...
Errors were encountered while processing:
 linux-image-2.6.32-5-orion5x
 linux-image-2.6-orion5x
 initramfs-tools
mount: / is busy
E: Sub-process /usr/bin/dpkg returned an error code (1)

mount output: 
~$ mount
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
procbususb on /proc/bus/usb type usbfs (rw)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
rootfs on / type rootfs (rw)
tmpfs on /tmp type tmpfs (rw,size=32m)
/dev/sdb2 on /media/adata type ext2 (rw,noatime)
/dev/sdb3 on /media/tbackupDrive type ext2 (rw,noatime)
nfsd on /proc/fs/nfsd type nfsd (rw)
aufs on / type aufs (rw)
rpc_pipefs on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)

Additional info:
root is on a usb-flash-disk, in normal operation root is on an aufs,
to prevent to many writes to the flash.
for the dist-upgrade the box was booted without the bootarg
aufs=tmpfs.
I do not fully uderstand why root still is listed as aufs, but
the writes do really hit the usb-disk (otherways dist-upgrade
would have resulted in out of memory long ago).
followed the url blow for the aufs-setup
http://211.78.87.227/viewtopic.php?p=125219&sid=92ed65a36b73f123c79fb071e58d6025
thank you very much for any help.
ps: unsure if this should not have higher severety as rebooting now would 
porbably make the system unbootable.

-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 2.2M Mar 19  2010 /boot/initrd.img-2.6.26-2-orion5x
-rw-r--r-- 1 root root 2.1M Feb 16  2010 /boot/initrd.img-2.6.26-2-orion5x.bak
-rw-r--r-- 1 root root    0 Jun 27 15:44 /boot/initrd.img-2.6.26-2-orion5x.new
-rw-r--r-- 1 root root 2.1M Feb 20  2010 /boot/initrd.img-2.6.30-2-orion5x
-rw-r--r-- 1 root root 2.2M Apr 13  2010 /boot/initrd.img-2.6.32-2-orion5x
-- /proc/cmdline
console=ttyS0,115200n8 root=/dev/ram rw initrd=0x800000,0x3fffff

-- resume
# RESUME=/dev/sda2
RESUME='UUID=f7060f39-0f73-4604-9823-93e367a18a05'
-- /proc/filesystems
        ext2

-- lsmod
Module                  Size  Used by
appletalk              24225  0 
ipv6                  253185  18 
nfsd                  247648  13 
exportfs                3000  1 nfsd
nfs                   269374  0 
lockd                  63141  2 nfsd,nfs
fscache                34101  1 nfs
nfs_acl                 2277  2 nfsd,nfs
auth_rpcgss            33314  2 nfsd,nfs
sunrpc                171030  12 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
loop                   11411  0 
evdev                   6582  0 
sata_mv                24205  2 
mv643xx_eth            22546  0 
libata                133831  1 sata_mv
libphy                 14128  1 mv643xx_eth
gpio_keys               2655  0
mv_cesa                 4648  0 
aes_generic            32820  1 mv_cesa
ext2                   55407  3 
mbcache                 4860  1 ext2
sd_mod                 30988  5 
crc_t10dif              1106  1 sd_mod
ehci_hcd               32780  0 
usb_storage            33760  1 
usbcore               110912  3 ehci_hcd,usb_storage
nls_base                5367  1 usbcore
scsi_mod              119100  3 libata,sd_mod,usb_storage
aufs                  138852  0 

-- /etc/initramfs-tools/modules
aufs

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = yes
postinst_hook = flash-kernel

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
BOOT=local
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
busybox
dmsetup
flash_kernel_set_root
keymap
klibc
thermal
udev


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-2-orion5x
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  findutils                     4.4.2-1    utilities for finding files--find,ii  klibc-utils                   1.5.20-1   small utilities built with klibc f
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  udev                          160-1      /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                       1:1.17.1-4 Tiny utilities for small and embed

Versions of packages initramfs-tools suggests:
ii  bash-completion               1:1.2-2    programmable completion for the ba

-- no debconf information




-- 
GMX DSL Doppel-Flat ab 19,99 &euro;/mtl.! Jetzt auch mit 
gratis Notebook-Flat! http://portal.gmx.net/de/go/dsl




Severity set to 'important' from 'normal' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 12:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Message #12 received at 600453@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: kurt witschi <tmpml@gmx.net>, 600453@bugs.debian.org
Subject: Re: Bug#600453: initramfs-tools: dist-upgrade lenny->squeeze mkinitramfs: failed
Date: Tue, 19 Oct 2010 12:45:33 +0200
On Sun, 17 Oct 2010, kurt witschi wrote:

> trying to dist-upgrade my orion (arm) box form lenny to squeeze i got the following error:
> Processing triggers for initramfs-tools ...
> update-initramfs: Generating /boot/initrd.img-2.6.32-2-orion5x
> mkinitramfs: failed to determine root device
> mkinitramfs: workaround is MODULES=most
> Error please report bug on initramfs-tools and include the output of 'mount'
> update-initramfs: failed for /boot/initrd.img-2.6.32-2-orion5x
> dpkg: error processing initramfs-tools (--configure):
>  subprocess installed post-installation script returned error exit status 1
> Processing triggers for python-support ...
> Errors were encountered while processing:
>  linux-image-2.6.32-5-orion5x
>  linux-image-2.6-orion5x
>  initramfs-tools
> mount: / is busy
> E: Sub-process /usr/bin/dpkg returned an error code (1)

I see.
 
> mount output: 
> ~$ mount
> tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
> proc on /proc type proc (rw,noexec,nosuid,nodev)
> sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
> procbususb on /proc/bus/usb type usbfs (rw)
> udev on /dev type tmpfs (rw,mode=0755)
> tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
> devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
> rootfs on / type rootfs (rw)
> tmpfs on /tmp type tmpfs (rw,size=32m)
> /dev/sdb2 on /media/adata type ext2 (rw,noatime)
> /dev/sdb3 on /media/tbackupDrive type ext2 (rw,noatime)
> nfsd on /proc/fs/nfsd type nfsd (rw)
> aufs on / type aufs (rw)
  ^^^
> rpc_pipefs on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)

this the line that confuses mkinitramfs could you post
cat /proc/mounts of the box, maybe it should parse that
if mount gives funny output.

mkinitramfs expects to find your root device there and thankfully
bailed out as it didn't find anything yet.
 
> Additional info:
> root is on a usb-flash-disk, in normal operation root is on an aufs,
> to prevent to many writes to the flash.
> for the dist-upgrade the box was booted without the bootarg
> aufs=tmpfs.
> I do not fully uderstand why root still is listed as aufs, but
> the writes do really hit the usb-disk (otherways dist-upgrade
> would have resulted in out of memory long ago).
> followed the url blow for the aufs-setup
> http://211.78.87.227/viewtopic.php?p=125219&sid=92ed65a36b73f123c79fb071e58d6025
> thank you very much for any help.
> ps: unsure if this should not have higher severety as rebooting now would 
> porbably make the system unbootable.

set to important as MODULES=dep is not default.
thanks for your report.
 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tmpml@gmx.net:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 16:30:04 GMT) Full text and rfc822 format available.

Message #17 received at 600453@bugs.debian.org (full text, mbox):

From: tmpml@gmx.net
To: 600453@bugs.debian.org
Subject: /proc/mounts
Date: Tue, 19 Oct 2010 18:26:28 +0200
thanks for looking into this!
As requested i provide output from cat /proc/mounts

# cat /proc/mounts
rootfs / rootfs rw 0 0
none /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0
none /proc proc rw,nosuid,nodev,noexec,relatime 0 0
udev /dev tmpfs rw,relatime,size=10240k,mode=755 0 0
/dev/sda1 / ext2 rw,relatime,errors=continue 0 0
tmpfs /lib/init/rw tmpfs rw,nosuid,relatime,mode=755 0 0
usbfs /proc/bus/usb usbfs rw,nosuid,nodev,noexec,relatime 0 0
tmpfs /dev/shm tmpfs rw,nosuid,nodev,relatime 0 0
devpts /dev/pts devpts rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000 0 0
tmpfs /tmp tmpfs rw,relatime,size=32768k 0 0
/dev/sdb2 /media/adata ext2 rw,noatime,errors=continue 0 0
/dev/sdb3 /media/tbackupDrive ext2 rw,noatime,errors=continue 0 0
nfsd /proc/fs/nfsd nfsd rw,relatime 0 0
rpc_pipefs /var/lib/nfs/rpc_pipefs rpc_pipefs rw,relatime 0 0

best regards
-- 
GRATIS! Movie-FLAT mit über 300 Videos. 
Jetzt freischalten unter http://portal.gmx.net/de/go/maxdome




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 17:27:10 GMT) Full text and rfc822 format available.

Message #22 received at 600453@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: tmpml@gmx.net, 600453@bugs.debian.org
Subject: Re: Bug#600453: /proc/mounts
Date: Tue, 19 Oct 2010 17:25:20 +0000
On Tue, Oct 19, 2010 at 06:26:28PM +0200, tmpml@gmx.net wrote:
> thanks for looking into this!
> As requested i provide output from cat /proc/mounts

thank you for the quick response, could you please test
the following snapshot built:
http://charm.itp.tuwien.ac.at/~mattems/initramfs-tools_0.98.5~1.gbpcf5fb6_all.deb
it has the following sha512sum:
97779c643f0efbeb019eb4402eb62ca415aae99b02706b8d  initramfs-tools_0.98.5~1.gbpcf5fb6_all.deb

should fix the reported issue, double checked on the provided
/proc/mounts output. not sure if it will run in some other trouble?
let's see.

thanks for reporting back.
 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tmpml@gmx.net:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 19 Oct 2010 19:21:03 GMT) Full text and rfc822 format available.


Message #27 received at 600453@bugs.debian.org (full text, mbox):

From: tmpml@gmx.net
To: 600453@bugs.debian.org
Date: Tue, 19 Oct 2010 21:18:01 +0200
Thanks for the quick response!
my sha512sum says
# sha512sum initramfs-tools_0.98.5~1.gbpcf5fb6_all.deb 
f0dd4af56ac9713027543ba4c1beb62edc7c306575c2f65d8a1b62daf1a26cbe58607fd95c6203c197779c643f0efbeb019eb4402eb62ca415aae99b02706b8d  initramfs-tools_0.98.5~1.gbpcf5fb6_all.deb

so the later part is identical to your provides sum. Is it costumary to only use part of the hash?

Anyhow back to the topic:
I tried your deb with the following result:

update-initramfs: Generating /boot/initrd.img-2.6.32-2-orion5x
readlink: fehlender Operand
„readlink --help“ gibt weitere Informationen.
Warning: /etc/fstab parse error; guessing that the root device is /dev/sda2

Press Ctrl-C to abort build, or Enter to continue
read: 143: arg count
Generating kernel u-boot image... done.
Flashing kernel... done.
Flashing initramfs... done.

so it did indeed do "something" but the guess "/dev/sda2" looks wrong. I would expect /dev/sda1

best regards
-- 
GRATIS! Movie-FLAT mit über 300 Videos. 
Jetzt freischalten unter http://portal.gmx.net/de/go/maxdome




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to tmpml@gmx.net:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 19:27:04 GMT) Full text and rfc822 format available.

Message #32 received at 600453@bugs.debian.org (full text, mbox):

From: tmpml@gmx.net
To: 600453@bugs.debian.org
Subject: /etc/fstab
Date: Tue, 19 Oct 2010 21:24:00 +0200
forgot to add /etc/fstab


# cat /etc/fstab
#
#   RootAufs has mounted the root file system in ram
#
#  This fstab is in ram and the real fstab can be found /ro/etc/fstab
#  the root file system ' / ' has been removed.
#  the proc file system has been removed, because bug #425199.
#  All Swap files have been removed. 
#

# /etc/fstab: static file system information. 
#      
# <file system> <mount point> <type> <options>       <dump>  <pass>
tmpfs /tmp tmpfs defaults,size=32m 0 0 

LABEL=adata /media/adata/ ext2 defaults,noatime 0 0 
LABEL=tbackupDrive /media/tbackupDrive/ ext2 defaults,noatime 0 0 
# /dev/sda1 /ro ext2 rw,relatime,errors=continue,noauto 0 0
UUID=0c940d67-bfca-4a7b-875f-747c7e09d64d /ro ext2 rw,relatime,errors=continue,noauto 0 0

and:
#cat /ro/etc/fstab
cat: /ro/etc/fstab: File not found
-> so I guess it is all my fault... 
-- 
Neu: GMX De-Mail - Einfach wie E-Mail, sicher wie ein Brief!  
Jetzt De-Mail-Adresse reservieren: http://portal.gmx.net/de/go/demail




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 19:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #37 received at 600453@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: tmpml@gmx.net, 600453@bugs.debian.org
Cc: tbm@debian.org
Subject: Re: Bug#600453: (no subject)
Date: Tue, 19 Oct 2010 19:36:03 +0000
On Tue, Oct 19, 2010 at 09:18:01PM +0200, tmpml@gmx.net wrote:
> Thanks for the quick response!
> my sha512sum says
> # sha512sum initramfs-tools_0.98.5~1.gbpcf5fb6_all.deb 
> f0dd4af56ac9713027543ba4c1beb62edc7c306575c2f65d8a1b62daf1a26cbe58607fd95c6203c197779c643f0efbeb019eb4402eb62ca415aae99b02706b8d  initramfs-tools_0.98.5~1.gbpcf5fb6_all.deb
> 
> so the later part is identical to your provides sum. Is it costumary to only use part of the hash?

ok sorry was a paste error of my side, on the run..
 
> Anyhow back to the topic:
> I tried your deb with the following result:
> 
> update-initramfs: Generating /boot/initrd.img-2.6.32-2-orion5x
> readlink: fehlender Operand
> „readlink --help“ gibt weitere Informationen.
> Warning: /etc/fstab parse error; guessing that the root device is /dev/sda2

well update-initramfs does not parse fstab this is
probably flash-kernel? (adding tbm to cc, for him to check)
 
> Press Ctrl-C to abort build, or Enter to continue
> read: 143: arg count
> Generating kernel u-boot image... done.
> Flashing kernel... done.
> Flashing initramfs... done.
> 
> so it did indeed do "something" but the guess "/dev/sda2" looks wrong. I would expect /dev/sda1
> 

thanks for quick check which looks at first sight good for initramfs-tools.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#600453; Package initramfs-tools. (Tue, 19 Oct 2010 21:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 21:06:06 GMT) Full text and rfc822 format available.

Message #42 received at 600453@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: maximilian attems <max@stro.at>
Cc: tmpml@gmx.net, 600453@bugs.debian.org
Subject: Re: Bug#600453: (no subject)
Date: Tue, 19 Oct 2010 22:03:46 +0100
* maximilian attems <max@stro.at> [2010-10-19 19:36]:
> > Warning: /etc/fstab parse error; guessing that the root device is /dev/sda2
> 
> well update-initramfs does not parse fstab this is
> probably flash-kernel? (adding tbm to cc, for him to check)

Yes, this is flash-kernel.

The /etc/fstab doesn't contain any entry for /, so the /etc/fstab is
not valid.
-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Thu, 21 Oct 2010 12:21:20 GMT) Full text and rfc822 format available.

Notification sent to "kurt witschi" <tmpml@gmx.net>:
Bug acknowledged by developer. (Thu, 21 Oct 2010 12:21:20 GMT) Full text and rfc822 format available.

Message #47 received at 600453-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 600453-close@bugs.debian.org
Subject: Bug#600453: fixed in initramfs-tools 0.98.5
Date: Thu, 21 Oct 2010 12:17:05 +0000
Source: initramfs-tools
Source-Version: 0.98.5

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.98.5.dsc
  to main/i/initramfs-tools/initramfs-tools_0.98.5.dsc
initramfs-tools_0.98.5.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.98.5.tar.gz
initramfs-tools_0.98.5_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.98.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600453@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 Oct 2010 13:53:17 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.98.5
Distribution: unstable
Urgency: high
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 600453
Changes: 
 initramfs-tools (0.98.5) unstable; urgency=high
 .
   [ maximilian attems ]
   * [6b6cbe0] mkininitramfs: MODULES=dep fallback to /proc/mounts for
     rootdev (Closes: #600453)
   * [f3b696b] Small enhancements to Maintainer docs.
 .
   [ Marc Herbert ]
   * [478ba89] Minor documentation fix in /etc/initramfs-tools/modules.
     (LP: #177263)
Checksums-Sha1: 
 b25eb89bd6aba1e5a8980f83dc141f8126649b5d 973 initramfs-tools_0.98.5.dsc
 8270d5b89e85b4f16b7c0a77bf16bd2ed6c05b58 82617 initramfs-tools_0.98.5.tar.gz
 7d25c73bddd3bfa860000929f74d6b0fdc69947c 88776 initramfs-tools_0.98.5_all.deb
Checksums-Sha256: 
 53fc3cc267cb89656f7e5b14d04e0703aa765dba90bfb5becf0dc46ab1480fe6 973 initramfs-tools_0.98.5.dsc
 b890e8dcb3f61d0ed943f42d78cdcdbf084f5ec37dc5c39a83fab3e2c63eabb3 82617 initramfs-tools_0.98.5.tar.gz
 a9642d6ab76c28911c0384360134b06c3be72087c890f0c90f42941565bed02a 88776 initramfs-tools_0.98.5_all.deb
Files: 
 c047f9710eb6ba8b510249ec0e224f8c 973 utils optional initramfs-tools_0.98.5.dsc
 7c5af2f707126e0914917eb18d0412bd 82617 utils optional initramfs-tools_0.98.5.tar.gz
 0c8dc83f65c3f48d5eb10e1d1e8780e1 88776 utils optional initramfs-tools_0.98.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzAKjsACgkQeW7Lc5tEHqiVMgCeIvv2SSqQXJwJzndwFYLgOlX/
FKEAnjOfbjFxbA1+hHVeePQPoSEpMons
=oKrp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Nov 2010 07:30:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:37:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.